
From: Adrian Bunk <bunk@fs.tum.de>

The patch below switches fs/Kconfig to use select where appropriate 
(affects nfs{,d} and afs).



 fs/Kconfig |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

diff -puN fs/Kconfig~fs-Kconfig-use-select fs/Kconfig
--- 25/fs/Kconfig~fs-Kconfig-use-select	2003-09-28 14:56:22.000000000 -0700
+++ 25-akpm/fs/Kconfig	2003-09-28 14:56:22.000000000 -0700
@@ -1254,6 +1254,8 @@ menu "Network File Systems"
 config NFS_FS
 	tristate "NFS file system support"
 	depends on INET
+	select LOCKD
+	select SUNRPC
 	help
 	  If you are connected to some other (usually local) Unix computer
 	  (using SLIP, PLIP, PPP or Ethernet) and want to mount files residing
@@ -1334,6 +1336,8 @@ config NFS_DIRECTIO
 config NFSD
 	tristate "NFS server support"
 	depends on INET
+	select LOCKD
+	select SUNRPC
 	help
 	  If you want your Linux box to act as an NFS *server*, so that other
 	  computers on your local network which support NFS can access certain
@@ -1396,8 +1400,6 @@ config ROOT_NFS
 
 config LOCKD
 	tristate
-	default m if NFS_FS!=y && NFSD!=y && (NFS_FS=m || NFSD=m)
-	default y if NFS_FS=y || NFSD=y
 
 config LOCKD_V4
 	bool
@@ -1410,8 +1412,6 @@ config EXPORTFS
 
 config SUNRPC
 	tristate
-	default m if NFS_FS!=y && NFSD!=y && (NFS_FS=m || NFSD=m)
-	default y if NFS_FS=y || NFSD=y
 
 config SUNRPC_GSS
 	tristate "Provide RPCSEC_GSS authentication (EXPERIMENTAL)"
@@ -1590,6 +1590,7 @@ config AFS_FS
 # for fs/nls/Config.in
 	tristate "Andrew File System support (AFS) (Experimental)"
 	depends on INET && EXPERIMENTAL
+	select RXRPC
 	help
 	  If you say Y here, you will get an experimental Andrew File System
 	  driver. It currently only supports unsecured read-only AFS access.
@@ -1600,8 +1601,6 @@ config AFS_FS
 
 config RXRPC
 	tristate
-	default m if AFS_FS=m
-	default y if AFS_FS=y
 
 endmenu
 

_
